Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.pdf.emitter
Class InlineBlockLayout

    java.lang.Object
      org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
          org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
              org.eclipse.birt.report.engine.layout.pdf.emitter.InlineBlockLayout

    public class InlineBlockLayout

extends org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
`contextList, currentContext, isInBlockStacking, isInline, offsetX, offsetY`

Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`content, context, logger, parent, specifiedHeight, specifiedWidth`

Constructor Summary
`InlineBlockLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)`

Method Summary
`boolean` | `addArea(org.eclipse.birt.report.engine.layout.area.impl.AbstractArea area)`
`protected void` | `closeLayout()`
`protected void` | `closeLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout.ContainerContext currentLayout, int index, boolean finished)`
`protected void` | `createRoot()`
`protected void` | `initialize()`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
`addArea, addArea, addToRoot, addToRoot, addToRoot, align, autoPageBreak, closeExcludingLast, closeFirstN, getCurrentMaxContentHeight, getCurrentMaxContentWidth, getLineHeight, getMaxAvaHeight, getMaxAvaWidth, getOffsetX, getOffsetY, gotoFirstPage, gotoLastPage, isPageEmpty, isRootEmpty, layout, setCurrentContext, step`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`calculateSpecifiedHeight, calculateSpecifiedWidth, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getParent, getResolution, getTableLayoutManager, removeMargin, resolveBoxConflict, validateBoxProperty, validateBoxProperty, visitContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineBlockLayout

    public InlineBlockLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context,
                             org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent,
                             IContent content)

Method Detail

### createRoot

    protected void createRoot()

  Specified by:
    `createRoot` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### initialize

    protected void initialize()

  Specified by:
    `initialize` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`

### closeLayout

    protected void closeLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout.ContainerContext currentLayout,
                               int index,
                               boolean finished)

  Specified by:
    `closeLayout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### addArea

    public boolean addArea(org.eclipse.birt.report.engine.layout.area.impl.AbstractArea area)

  Overrides:
    `addArea` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`

### closeLayout

    protected void closeLayout()
                        throws org.eclipse.birt.core.exception.BirtException

  Overrides:
    `closeLayout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.